// プロダクトコード
class Item {
  constructor(name, price, tax_rate) {
    this.name = name;
    this.price = price;
    this.tax_rate = tax_rate;
  }
  tax_amount() {
    const rate = (this.tax_rate / 100);
    return (this.price / (1 + rate)) * rate;
  }
}

// テストコード
it('税込価格から税額を返す', () => {
  const item = new Item('技評茶', 130, 8);
  const expected =
        (130 / (1 + (8 / 100))) * (8 / 100);
  assert.equal(item.tax_amount(), expected);
});
